Subject: Ticket Assigned - Dissatisfied customer
From: Splash <[email-masked]>
To: [email-masked]
Date: Thu, 13 Oct 2022 02:38:36 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Dissatisfied customer  Dear
Hope my mail found you well
Here is Hussein abdelaal one of your regular customer either online or offline but I have been 3 visits now for your branch which is located at Sharjah city center
First of all due to my shopping I received vouchers with 50 dhs valid till 10/9/ 22 I go to use it the super visor (lady) one of the worst management seen on my life
1-she don't have any idea about the promotion the staff who is the one guide her how its work this showing me one of 2 thangs you leaking of communications between management
She is not qualified enough to work in this position
She don't know how to help her customers
My receipt I used sanitizer for my hand so some numbers not appear so I told her you are manager so you can fix this issues by calling ur Mis department or check the email ur company sent me the voucher nothing so I have to cancel all my orders after spending time at your shop for nothing it's wasted time
Again I visited your branch 26/9/22 another disappointed issue after I choose my items I go for the counter again same person with same attitude
She and her cashier joked and don't respect the people front of them because of this they punch my order 2 times after they delated while I am front of them they don't care about time for the customer or queue of the other customer
When we go to pay I asked her to use my shokran card no sir system is not working why no valid reason
I informed her that I have bad experience with her before and I communicate with customer care and I show her the chat but her body language showing I don't care its not big issues from her point of view
Finally when I go home I found they take money from me for 12 pcs but actually I received only 11 PCs only so this go back for when she punch the transaction she not concentrating with her work
Today I will take all the items and back for them again to check the issues by my self or I will call the economic municipality's
This to highlight from dissatisfied customer to check your business at this branch hope it makes sense and improve your business by taking care of customer
Hussein abdelaal
Dissatisfied customer

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/4930403